// Sub theme styling.
@import 'variables_drupal';

// Bootstrap overriden variables.
// @see https://getbootstrap.com/docs/5.2/customize/sass/#variable-defaults.
@import 'variables_bootstrap';

// Include bootstrap.
@import '../../../../themes/contrib/bootstrap5/scss/style';

:root {
  --color-primary-rgb: 46, 72, 90;
  --color-primary: rgba(var(--color-primary-rgb), 1);
  --color-primary-lighter-rgb: 131, 167, 192;
  --color-primary-lighter: rgba(var(--color-primary-lighter), 1);

  --bs-link-color: rgba(var(--color-primary-rgb));
  --bs-link-color-rgb: --color-primary-rgb;
}
.btn-primary {
	--bs-btn-color: #fff;
	--bs-btn-bg: var(--color-primary);
	--bs-btn-border-color: var(--color-primary);
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0b5ed7;
	--bs-btn-hover-border-color: #0a58ca;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: var(--color-primary-lighter);
	--bs-btn-active-border-color: rgba(var(--color-primary-lighter-rgb), 0.7);
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: var(--color-primary);
	--bs-btn-disabled-border-color: var(--color-primary);
}


// Content Region
.region-content {
  margin: 3rem 0 4.5rem;
  .block {
    margin-bottom: 1.5rem;
  }
}

// Breadcrumb Region
.region-breadcrumb {
  padding: 0.8rem 1.6rem 1.3rem;
  margin-bottom: 1.5rem;
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 0 0 1rem 1rem;
  a {
    color: rgba(0, 0, 0, 0.6);
    text-decoration: none;
  }
  .breadcrumb {
    margin: 0;
  }
}
.block-system-main-block {
  min-height: 40vh;
}

article.node--view-mode-full {
  // Image field
  .field--type-image {
    img {
      display: block;
      background-color: #fff;
      padding: 1.5rem;
      border: solid 1px #eee;
      margin: 1.5rem 0;
      max-width: 100%;
      height: auto;
    }
  }

  // Body field
  .field--name-body {
    margin: 2rem 0 3rem;
  }

  // Details
  details {
    > .details-wrapper {
      min-height: 15rem;
    }
    .field {
      margin: 1rem 0;
    }
  }
}

// Related Events block in Person page
.region-content {
  .block-views-blockperson-related-events-block-1 {
    margin: 3rem 0;
  }
}

